SDL Visual Test

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
SDLVisualTest_ActionQueue Struct Reference

`#include <SDL_visualtest_action_configparser.h>`

## Data Fields
SDLVisualTest_ActionNode * | front
SDLVisualTest_ActionNode * | rear
int | size

## Detailed Description

Queue structure for actions loaded from the actions config file.

## Field Documentation

SDLVisualTest_ActionNode* front

Pointer to the front of the queue

SDLVisualTest_ActionNode* rear

Pointer to the rear of the queue

int size

Number of nodes in the queue

The documentation for this struct was generated from the following file:

- C:/Users/DELL/Work/sdlvisualtest/visualtest/include/SDL_visualtest_action_configparser.h